import django.core.management.base
import csv
import geolist.models


class Command(django.core.management.base.BaseCommand):
    """Set the points of a geolist"""
    help = "Set the points of a geolist"

    def add_arguments(self, parser):
        parser.add_argument("path", type=str)
        parser.add_argument("slug", type=str)

    def handle(self, *args, **kwargs):
        with open(kwargs["path"], "r", encoding="utf8") as file:
            data = list(csv.DictReader(file))
        if not geolist.models.Geolist.objects.filter(slug=kwargs["slug"]).exists():
            print("Geolist does not exist")
            return
        glist = geolist.models.Geolist.objects.get(slug=kwargs["slug"])
        geolist.models.GeolistItem.objects.filter(geolist=glist).delete()
        for row in data:
            geolist.models.GeolistItem.objects.create(
                geolist=glist,
                label=row["label"],
                latitude=float(row["latitude"]),
                longitude=float(row["longitude"]),
                elevation=float(row["elevation"]) if row["elevation"] != "" else None,
            )
        
        